## nam 1.15~RC4

=== Makefile ===
#
# Copyright (c) 1991,1993 The Regents of the University of California.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All advertising materials mentioning features or use of this software
#    must display the following acknowledgement:
#	This product includes software developed by the Computer Systems
#	Engineering Group at Lawrence Berkeley Laboratory.
# 4. Neither the name of the University nor of the Laboratory may be used
#    to endorse or promote products derived from this software without
#    specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# @(#) $Header: /cvsroot/nsnam/nam-1/Makefile.in,v 1.53 2007/03/11 00:07:19 tom_henderson Exp $
#

# Top level hierarchy
prefix = /usr/local
exec_prefix = ${prefix}
# Pathname of directory to install the binary
BINDEST = ${exec_prefix}/bin
# Pathname of directory to install the man page
MANDEST = ${prefix}/share/man

CC = gcc
CPP = g++
CCOPT =  -Wall -Wno-write-strings
MKDEP = ./conf/mkdep
# Have to be the same as that defined in conf/makefile.win
TCL2C = ../tclcl/tcl2c++
TCLSH = /usr/bin/tclsh8.5

#
# Remember to add a dependency if you add any tcl sources here.
#
LIB =  \
	-L/home/tomh/cvs/tclcl -ltclcl -L/home/tomh/cvs/otcl -lotcl -L/usr/lib -ltk8.5 -L/usr/lib -ltcl8.5 -L/usr/lib -lz \
	-lXext -lX11 \
	 -lnsl -ldl -lm 
INCLUDE = \
	-I. -I/home/tomh/cvs/tclcl -I/home/tomh/cvs/otcl -I/usr/include -I/usr/include/tcl-private/generic -I/usr/include -I/usr/include \
	 

STATIC = 
DEFINE = -DTCL_TK -DNO_VOID  -DNDEBUG -DUSE_SHM -DHAVE_LIBTCLCL -DHAVE_TCLCL_H -DHAVE_LIBOTCL1_13 -DHAVE_OTCL_H -DHAVE_LIBTK8_5 -DHAVE_TK_H -DHAVE_LIBTCL8_5 -DHAVE_TCLINT_H -DHAVE_TCL_H -DHAVE_LIBZ1_2_3 -DHAVE_ZLIB_H 
CFLAGS = $(CCOPT) $(DEFINE) $(INCLUDE)

INSTALL = /usr/bin/install -c
RANLIB = ranlib

BLANK	= # make a blank space.  DO NOT add anything to this line
AR	= ar rc $(BLANK)
LINK	= $(CPP)
LDFLAGS	=
LDOUT	= -o $(BLANK)
PERL	= perl
RM	= rm -f

# Explicitly define compilation rules since SunOS 4's make doesn't like gcc.
# Also, gcc does not remove the .o before forking 'as', which can be a
# problem if you don't own the file but can write to the directory.
.SUFFIXES: .cc $(.SUFFIXES)

.cc.o:
	rm -f $@; $(CPP) -o $@ -c $(CFLAGS) $*.cc

.c.o:
	rm -f $@; $(CC) -o $@ -c $(CFLAGS) $*.c

GEN_DIR = gen/
NAM	= nam

# WIN32: uncomment the following line to include specific make for VC++
# !include <conf/makefile.win>

OBJ_C = tkcompat.o tkUnixInit.o xwd.o

OBJ_CC = \
	netview.o netmodel.o edge.o packet.o node.o main.o \
	trace.o queue.o drop.o animation.o agent.o feature.o \
	route.o transform.o paint.o state.o monitor.o anetmodel.o \
	random.o rng.o view.o graphview.o netgraph.o tracehook.o\
	lan.o psview.o group.o editview.o tag.o address.o animator.o \
	wnetmodel.o nam_stream.o enetmodel.o testview.o parser.o \
	trafficsource.o lossmodel.o queuehandle.o

OBJ_GEN = \
	$(GEN_DIR)version.o $(GEN_DIR)nam_tcl.o
SRC_GEN = \
	$(GEN_DIR)version.c $(GEN_DIR)nam_tcl.cc

OBJ =	$(OBJ_C) $(OBJ_CC) $(OBJ_GEN)
SRC =	$(OBJ_C:.o=.c) $(OBJ_CC:.o=.cc)

CLEANFILES = $(NAM) $(OBJ) $(SRC_GEN) core core.nam

NAM_TCL_LIB = \
	tcl/nam-lib.tcl \
	tcl/nam-default.tcl \
	tcl/balloon.tcl \
	tcl/snapshot.tcl \
	tcl/animator.tcl \
	tcl/anim-ctrl.tcl \
	tcl/netModel.tcl \
	tcl/autoNetModel.tcl \
	tcl/build-ui.tcl \
	tcl/annotation.tcl \
	tcl/node.tcl \
	tcl/monitor.tcl \
	tcl/stats.tcl \
	tcl/www.tcl \
	tcl/menu_file.tcl \
	tcl/menu_view.tcl \
  tcl/NamgraphView.tcl \
  tcl/NamgraphModel.tcl \
  tcl/TimesliderNamgraphView.tcl \
  tcl/TimesliderView.tcl \
  tcl/TimesliderModel.tcl \
  tcl/observer.tcl \
  tcl/observable.tcl \
  tcl/wirelessNetModel.tcl \
  tcl/editorNetModel.tcl \
  tcl/Editor.tcl \
  tcl/Editor-FileParser.tcl

$(NAM):	$(OBJ) $(SCRYOBJ) Makefile
	$(RM) $@
	$(LINK) $(STATIC) $(LDFLAGS) $(LDOUT)$@ \
		$(OBJ) $(SCRYOBJ) $(LIB)

Makefile: Makefile.in
	@echo "Makefile.in is newer than Makefile."
	@echo "You need to re-run configure."
	false

$(GEN_DIR)nam_tcl.cc: $(NAM_TCL_LIB)
	$(RM) $@
	$(TCLSH) bin/tcl-expand.tcl tcl/nam-lib.tcl | $(TCL2C) et_nam > $@

$(GEN_DIR)version.c: VERSION
	$(RM) $@
	$(TCLSH) bin/string2c.tcl version < VERSION > $@

install: force
	$(INSTALL) -m 755 nam $(DESTDIR)$(BINDEST)

clean:
	$(RM) $(CLEANFILES)

distclean:
	$(RM) $(CLEANFILES) Makefile config.cache config.log config.status

tar:	force
	tar=$(TAR_PREFIX)-nam-`cat VERSION`.tar.gz ; \
	rm -f $$tar ; \
	tar cfhF -  $(TAR) | gzip -c > $$tar

depend: $(SRC)
	$(MKDEP) $(CFLAGS) $(SRC)

srctar:
	@cwd=`pwd` ; dir=`basename $$cwd` ; \
	    name=nam-`cat VERSION | tr A-Z a-z` ; \
	    tar=nam-src-`cat VERSION`.tar.gz ; \
	    list="" ; \
	    for i in `cat FILES` ; do list="$$list $$name/$$i" ; done; \
	    echo \
	    "(rm -f $$tar; cd .. ; ln -s $$dir $$name)" ; \
	     (rm -f $$tar; cd .. ; ln -s $$dir $$name) ; \
	    echo \
	    "(cd .. ; tar cfhz $$tar [lots of files])" ; \
	     (cd .. ; tar cfhz - $$list) > $$tar ; \
	    echo \
	    "rm ../$$name; chmod 444 $$tar" ;  \
	     rm ../$$name; chmod 444 $$tar

force:

# Create makefile.vc for Win32 development by replacing:
# "# !include ..." 	-> 	"!include ..."
makefile.vc: Makefile.in
	$(PERL) bin/gen-vcmake.pl < Makefile.in > makefile.vc
#	$(PERL) -pe 's/^# (\!include)/\!include/o' < Makefile.in > makefile.vc

## nam 1.15~RC3

=== debian/changelog ===
nam (1.15~RC3-1) unstable; urgency=low

  * Initial release (Closes: #576259)

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 02 Apr 2010 14:34:38 +0800

=== debian/control ===
Source: nam
Section: net
Priority: optional
Maintainer: YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev, tcl8.4-dev, tk8.4-dev, libxmu-headers, libotcl1-dev, tclcl, tclcl-dev
Standards-Version: 3.8.4
Vcs-git: git://github.com/wzssyqa/nam-debian.git
Vcs-Browser: http://github.com/wzssyqa/nam-debian.git
Homepage: http://www.isi.edu/nsnam/nam/

Package: nam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: the Network Animator
 NAM is a Tcl/TK based animation tool for viewing network simulation 
 traces and real world packet traces. It supports topology layout, 
 packet level animation, and various data inspection tools. NAM began 
 at LBL. It has evolved substantially over the past few years. The NAM
 development effort was an ongoing collaboration with the VINT project.
 Currently, it is being developed at ISI as part of the SAMAN and Conser
 projects. 

Package: nam-examples
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: examples of NAM
 NAM is a Tcl/TK based animation tool for viewing network simulation 
 traces and real world packet traces. It supports topology layout, 
 packet level animation, and various data inspection tools. NAM began 
 at LBL. It has evolved substantially over the past few years. The NAM
 development effort was an ongoing collaboration with the VINT project.
 Currently, it is being developed at ISI as part of the SAMAN and Conser
 projects.
 .
 This package contains examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#./validate  test failed,have report it to upstream

%:
	dh  $@

override_dh_auto_configure:
	./configure

override_dh_auto_test:
#	./validate
#	need display

override_dh_auto_install:

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.html

=== debian/watch ===
version=3
opts="uversionmangle=s/-RC/~RC/" \
http://www.isi.edu/nsnam/dist/release/nam-(.*)\.tar\.gz

## nam 1.15~RC4

=== debian/changelog ===
nam (1.15~RC4-5ubuntu0.1) oneiric-proposed; urgency=low

  * Rebuild against Tcl 8.5 (LP: #928193)

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 07 Feb 2012 14:54:03 +0200

nam (1.15~RC4-5) unstable; urgency=low

  *rebuild for work with a patch of tclsh
       remove "-exact" require for tcl and tk.
  * debian/control:
  	fix VCS to true web.

 -- YunQiang Su <wzssyqa@gmail.com>  Thu, 30 Jun 2011 19:08:33 +0800

nam (1.15~RC4-4) unstable; urgency=low

  * Patch to restrict version depend on tk (Closes: #620093)
     Whether it work should be test: init_tcltk_with_stub.diff.
  * fix a bug that abort caused by call random: random-abort.diff.
  * debian/control:
      - Enable Maintainer Upload and set the team to 
        Debian Network Simulators Team 
        	<pkg-netsim-devel@lists.alioth.debian.org>
      - migrate git to alioth 
      		(http://anonscm.debian.org/git/pkg-netsim/nam.git).
  * debian/rules:
       - add -ltclstub8.x and -ltkstub8.x to link against stub.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 03 Jun 2011 01:50:10 +0800

nam (1.15~RC4-3) unstable; urgency=low

  * patch it for move tclcl's header files to /usr/include/tclcl
  * Build failed ( -lz ), patch it.

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 22 Mar 2011 23:55:58 +0800

nam (1.15~RC4-2) unstable; urgency=low

  * depends on tk-dev and tcl-dev instead of 8.4 one
  * nam suggests nam-examples (Closes: #586169)

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 28 Feb 2011 01:11:58 +0800

nam (1.15~RC4-1) unstable; urgency=low

  * New upstream version.
  * port to Policy 3.9.1.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 17 Sep 2010 14:54:54 +0800

nam (1.15~RC3-2) unstable; urgency=low

  * add suggests of nam-examples on nam (Closes: #586169)
  * port to Policy 3.9.0

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 30 Jun 2010 14:34:38 +0800

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: net
 Priority: optional
 Maintainer: YunQiang Su <wzssyqa@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev, tcl8.4-dev, tk8.4-dev, libxmu-headers, libotcl1-dev, tclcl, tclcl-dev
-Standards-Version: 3.8.4
-Vcs-git: git://github.com/wzssyqa/nam-debian.git
-Vcs-Browser: http://github.com/wzssyqa/nam-debian.git
+DM-Upload-Allowed: yes
+Uploaders: Debian Network Simulators Team <pkg-netsim-devel@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), autotools-dev,
+		tcl-dev, tk-dev, libxt-dev, libxmu-headers, zlib1g-dev,
+		libotcl1-dev, tclcl, tclcl-dev (>=1.20~RC3-3)
+Standards-Version: 3.9.2
+Vcs-git: git://git.debian.org/git/pkg-netsim/nam.git
+Vcs-Browser: http://git.debian.org/?p=pkg-netsim/tclcl.git
 Homepage: http://www.isi.edu/nsnam/nam/
 
 Package: nam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: the Network Animator
+Description: Network Animator for network simulation
  NAM is a Tcl/TK based animation tool for viewing network simulation 
  traces and real world packet traces. It supports topology layout, 
  packet level animation, and various data inspection tools. NAM began 
@@ -23,7 +27,8 @@
 Package: nam-examples
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: examples of NAM
+Suggests: nam
+Description: examples of nam
  NAM is a Tcl/TK based animation tool for viewing network simulation 
  traces and real world packet traces. It supports topology layout, 
  packet level animation, and various data inspection tools. NAM began

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,17 @@
 %:
 	dh  $@
 
+override_dh_auto_clean:
+	./configure   #Makefile from upstream, need to delete
+	              # workaround it
+	dh_auto_clean
+
 override_dh_auto_configure:
 	./configure
+	#link against tclstub and tkstub to make it work with multi version of tcl/tk
+	#bug:#620093
+	sed -i "s/-ltk\([0-9].[0-9]\)/-ltk\1 -ltkstub\1/" Makefile
+	sed -i "s/-ltcl\([0-9].[0-9]\)/-ltcl\1 -ltclstub\1/" Makefile
 
 override_dh_auto_test:
 #	./validate

## nam 1.15

=== debian/changelog ===
nam (1.15-9) unstable; urgency=medium

  * QA upload.

  * Added 1010-const-string-literals.patch to fix incorrect constness of strings.
  * Added multiarch hint, nam-examples 'foreign' and nam 'no'.
  * Removed obsolete lintian override outdated-autotools-helper-file.
  * Added patch metadata.
  * Introduced meaningful patch numbering scheme.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 07 Oct 2024 08:35:16 +0200

nam (1.15-8) unstable; urgency=medium

  * QA upload.

  * Added 1000-gcc-14.patch to fix missing variable type (Closes: #1075302).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 06 Oct 2024 09:28:22 +0200

nam (1.15-7) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.8 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Transition to automatic debug package (from: nam-dbg).
  * Move source package lintian overrides to debian/source.
  * Bump debhelper from deprecated 8 to 10.
  * Fix field name case in debian/control (Vcs-git ⇒ Vcs-Git).
  * Update Vcs fields in d/control to salsa.
  * Skip autoreconf for now as it do not work.
  * Updated to debhelper compat level 13.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 17 May 2024 14:07:53 +0200

nam (1.15-6) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #999656)
  * debian/control: Remove Uploaders field.

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 10:14:00 -0300

nam (1.15-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Maintainer email address (Closes: #979052)

 -- Baptiste Beauplat <lyknode@cilg.org>  Tue, 02 Feb 2021 19:55:11 +0100

nam (1.15-5.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 01:09:06 +0100

nam (1.15-5) unstable; urgency=medium

  * Team upload.
  * Use tracker.d.o address (Closes: #899778)

 -- Aron Xu <aron@debian.org>  Sun, 05 Aug 2018 20:48:39 +0800

nam (1.15-4) unstable; urgency=medium

  [ YunQiang Su ]
  * Fix FTBFS with GCC 6: narrowing conversion (Closes: #811737)
  * Change email to @debian.org
  * Bump standard version to 3.9.8

 -- YunQiang Su <syq@debian.org>  Wed, 02 Nov 2016 22:37:23 +0800

nam (1.15-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
      - set tcl-dev and tk-dev to '>=8.6'.
  * debian/patches:
      - init_tcltk_with_stub.diff not in use.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Sun, 14 Feb 2016 13:48:32 -0200

nam (1.15-3) unstable; urgency=low

  [ Sergei Golovan ]
  * Defined USE_INTERP_RESULT macro to quickfix FTBFS with Tcl/Tk 8.6.
    (Closes: #725015)

  [ YunQiang Su ]
  * Bump standards version to 3.9.5
  * Fix Git URL

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 9 Feb 2014 23:29:55 +0800

nam (1.15-2) unstable; urgency=low

  * Team upload.
  * Added missing lib to link, fixing FTBFS.
    Thanks to Daniel T. Chen. (Closes: #713694)
  * Remove DMUA, not needed anymore.

 -- Aron Xu <aron@debian.org>  Wed, 24 Apr 2013 17:34:05 -0400

nam (1.15-1) unstable; urgency=low

  * New upstream stable release.
  * Rewrite build system with CMake.
  * New nam-dbg package.

 -- YunQiang Su <wzssyqa@gmail.com>  Thu, 24 Nov 2011 14:14:34 +0800

=== debian/control ===
Source: nam
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libotcl1-dev (>= 1.14+dfsg),
               libtclcl1-dev (>= 1.20-4),
               libxmu-headers,
               libxt-dev,
               quilt (>= 0.46-7~),
               tcl-dev (>= 8.6),
               tclcl,
               tk-dev (>= 8.6),
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: http://www.isi.edu/nsnam/nam/
Vcs-Browser: https://salsa.debian.org/debian/nam
Vcs-Git: https://salsa.debian.org/debian/nam.git

Package: nam
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: no
Description: Network Animator for network simulation
 NAM is a Tcl/TK based animation tool for viewing network simulation
 traces and real world packet traces. It supports topology layout,
 packet level animation, and various data inspection tools. NAM began
 at LBL. It has evolved substantially over the past few years. The NAM
 development effort was an ongoing collaboration with the VINT project.
 Currently, it is being developed at ISI as part of the SAMAN and Conser
 projects.

Package: nam-examples
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: nam,
Multi-Arch: foreign
Description: examples of nam
 NAM is a Tcl/TK based animation tool for viewing network simulation
 traces and real world packet traces. It supports topology layout,
 packet level animation, and various data inspection tools. NAM began
 at LBL. It has evolved substantially over the past few years. The NAM
 development effort was an ongoing collaboration with the VINT project.
 Currently, it is being developed at ISI as part of the SAMAN and Conser
 projects.
 .
 This package contains examples.

=== debian/watch ===
version=3
opts="dversionmangle=s/\.(\d\d)\+dfsg/\.$1/" \
http://sf.net/nsnam/nam-src-(.+)\.tar\.gz
